RASFILTER8TO1(1)

NAME
rasfilter8to1 - convert an 8-bit deep rasterfile to a 1-bit deep rasterfile

SYNOPSIS
rasfilter8to1 [ -d ] [ -rgba threshold ]
[ infile [ outfile ]]

DESCRIPTION

rasfilter8to1 reads the 8-bit deep rasterfile infile (the standard input default) and converts it to the 1-bit deep rasterfile outfile (standard output default) by thresholding or ordered dither. The output format is Sun standard rasterfile format (see <rasterfile.h>). This command is useful for viewing 8-bit rasterfiles on devices that can only display monochrome images.

OPTIONS

-d  Use ordered dither to convert the input file instead of thresholding.

-rgba threshold
    Set the threshold for the red, green, blue, and average pixel color values. Pixels whose color values are greater than or equal to all of the thresholds are given a value of 0 (white) in the output rasterfile; other pixels are set to 1 (black). The average threshold defaults to 128, the individual thresholds to zero.

EXAMPLE
The command

    example% screendump -f /dev/cgtwo | rasfilter8to1 | lpr -Pversatec -v

prints a monochromatic representation of the /dev/cgtwo frame buffer on the printer named versatec using the v output filter (see /etc/printcap). The printer must support an appropriate imaging model such as PostScript in order to print the image.

FILES
/usr/lib/rasfilters/*
    filters for non-standard rasterfile formats

SEE ALSO
lpr(1), rastrepl(1), screendump(1), screenload(1)